org.apache.xerces.impl.xs.assertion

## Interface XSAssertionXPath2Value

- All Known Subinterfaces:
    XMLAssertHandler
  All Known Implementing Classes:
    XMLAssertAdapter, XMLAssertXPath2EngineImpl, XSAssertionXPath2ValueImpl

      public interface XSAssertionXPath2Value

  An interface defining methods to work with XPath 2.0 dynamic context variable "$value" that is needed for assertions evaluation.
  Version:
    $Id: XSAssertionXPath2Value.java 1896836 2022-01-08 12:55:20Z mukulg $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getStringValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree, org.apache.xerces.xs.ElementPSVI pElemPSVI)`
    `void` | `setXDMTypedValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree, java.lang.String value, org.apache.xerces.xs.XSSimpleTypeDefinition listOrUnionType, org.apache.xerces.xs.XSTypeDefinition attrType, boolean isTypeDerivedFromList, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`
    `void` | `setXDMTypedValueOf$valueForSTVarietyAtomic(java.lang.String value, short xsdTypecode, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`
    `void` | `setXDMTypedValueOf$valueForSTVarietyList(org.w3c.dom.Element rootNodeOfAssertTree, java.lang.String listStrValue, org.apache.xerces.xs.XSSimpleTypeDefinition itemType, boolean isTypeDerivedFromList, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`
    `void` | `setXDMTypedValueOf$valueForSTVarietyUnion(java.lang.String value, org.apache.xerces.xs.XSObjectList memberTypes, org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)`

- - ### Method Detail

    - #### getStringValueOf$value

          java.lang.String getStringValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree,
                                                org.apache.xerces.xs.ElementPSVI pElemPSVI)
                                                  throws org.w3c.dom.DOMException

      Throws:
        `org.w3c.dom.DOMException`

    - #### setXDMTypedValueOf$value

          void setXDMTypedValueOf$value(org.w3c.dom.Element rootNodeOfAssertTree,
                                      java.lang.String value,
                                      org.apache.xerces.xs.XSSimpleTypeDefinition listOrUnionType,
                                      org.apache.xerces.xs.XSTypeDefinition attrType,
                                      boolean isTypeDerivedFromList,
                                      org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setXDMTypedValueOf$valueForSTVarietyAtomic

          void setXDMTypedValueOf$valueForSTVarietyAtomic(java.lang.String value,
                                                        short xsdTypecode,
                                                        org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)

    - #### setXDMTypedValueOf$valueForSTVarietyList

          void setXDMTypedValueOf$valueForSTVarietyList(org.w3c.dom.Element rootNodeOfAssertTree,
                                                      java.lang.String listStrValue,
                                                      org.apache.xerces.xs.XSSimpleTypeDefinition itemType,
                                                      boolean isTypeDerivedFromList,
                                                      org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setXDMTypedValueOf$valueForSTVarietyUnion

          void setXDMTypedValueOf$valueForSTVarietyUnion(java.lang.String value,
                                                       org.apache.xerces.xs.XSObjectList memberTypes,
                                                       org.eclipse.wst.xml.xpath2.processor.DynamicContext xpath2DynamicContext)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.